<?php 
//activamos almacenamiento en el buffer
ob_start();
if (strlen(session_id())<1) 
  session_start();

if (!isset($_SESSION['nombre'])) {
  echo "debe ingresar al sistema correctamente para visualizar el reporte";
}else{

if ($_SESSION['ventas']==1) {

?>

<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<link rel="stylesheet" href="../public/css/ticket.css">
</head>
<body onload="window.print();">
	<?php 
// incluimos la clase venta
require_once "../modelos/Venta.php";

$venta = new Venta();

//en el objeto $rspta obtenemos los valores devueltos del metodo ventacabecera del modelo
$rspta = $venta->ventacabecera($_GET["id"]);

$reg=$rspta->fetch_object();

//establecemos los datos de la empresa
$empresa = "BODEGART";
$documento = "RIF-6335547-7";
$direccion = "Las Mercedes";
$telefono = "02122548874";
$email = "bodegart@gmail.com";
	 ?>
<div class="zona_impresion">
	<!--codigo imprimir-->
	<br>
	<table border="0" align="center" width="300px">
		<tr>
			<td align="center">
				<!--mostramos los datos de la empresa en el doc HTML-->
				.::<strong> <?php echo $empresa; ?></strong>::.<br>
				<?php echo $documento; ?><br>
				<?php echo $direccion . '-'.$telefono; ?><br>
			</td>
		</tr>
		<tr>
			<td align="center"><?php echo $reg->fecha; ?></td>
		</tr>
	</table>
	
	<!--mostramos lod detalles de la venta -->

	<table border="0" align="center" width="300px">
		<tr>
			<!--mostramos los datos del cliente -->
			<td>Cliente: </td>
			<td><?php echo $reg->cliente; ?></td>
		</tr>
		<tr>
			<td><?php echo $reg->tipo_documento.": ";?></td>
			<td><?php echo $reg->num_documento; ?></td>
		</tr>
		<tr>
			<td>N° de venta: <?php echo $reg->serie_comprobante." - ";?></td>
			<td><?php echo $reg->num_comprobante; ?></td>
		</tr>
		<br>
		<br>
		<tr>
			<td>CANT.</td>
			<td>DESCRIPCION</td>
			<td align="right">IMPORTE</td>
		</tr>
		<tr>
			<td colspan="3">=============================================</td>
		</tr>
		<?php
		$rsptad = $venta->ventadetalles($_GET["id"]);
		$cantidad=0;
		while ($regd = $rsptad->fetch_object()) {
			 
			echo "<tr>";
		 	echo "<td>".number_format($regd->cantidad,0,',','.')."</td>";
		 	echo "<td>".$regd->articulo."</td>";
		 	echo "<td align='right'>Bs. ".number_format($regd->subtotal,2,',','.')."</td>";
		 	echo "</tr>";
		 	$cantidad+=$regd->cantidad;
		 } 
		 $iva 	= 0.16*$reg->total_venta;
		 $total 	= $reg->total_venta + $iva;
	 	 ?>
		 <!--mostramos los totales de la venta-->
		
		 <tr>
			<td>&nbsp;</td>
			<td align="right"><b>SUB-TOTAL:</b></td>
			<td align="right"><b>Bs. <?php echo number_format($reg->total_venta,2,',','.'); ?></b></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td align="right"><b>IVA 16%:</b></td>
			<td align="right"><b>Bs. <?php echo number_format($iva,2,',','.'); ?></b></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td align="right"><b>TOTAL:</b></td>
			<td align="right"><b>Bs. <?php echo number_format($total,2,',','.'); ?></b></td>
		</tr>
		<tr>
			<td colspan="3">N° de articulos: <?php echo number_format($cantidad,0,',','.'); ?> </td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" align="center">¡Gracias por su compra!</td>
		</tr>
		<!--<tr>
			<td colspan="3" align="center">BODEGART</td>
		</tr>
		 <tr>
			<td colspan="3" align="center">Lewis Hernandez</td>
		</tr> -->
	</table>
	<br>
</div>
<p>&nbsp;</p>
</body>
</html>



<?php

	}else{
echo "No tiene permiso para visualizar el reporte";
}

}


ob_end_flush();
  ?>